# Structure Search urlscan Pro - Get structurally similar results to a specific scan. See description for this propietary feature on [urlscan Pro](https://pro.urlscan.io/help/structuresearch). Endpoint: GET /api/v1/pro/result/{scanId}/similar/ Version: 1.0.0 Security: apikeyAuth ## Query parameters: - `q` (string) Additional query filter Example: "page.domain:urlscan.io" - `size` (integer) Maximum results per call Example: "10" - `search_after` (string) Parameter to iterate over older results ## Path parameters: - `scanId` (string, required) The original scan to compare to Example: "68e26c59-2eae-437b-aeb1-cf750fafe7d7" ## Response 200 fields (application/json): - `results` (array) Array of search results - `total` (integer) Total number of results with an exact count up to 10,000 results. - `took` (integer) Search request time in milliseconds. - `has_more` (boolean) True if there are more than 10,000 results.